<p>
  history works!
</p>
<div>
  <label>name:
  </label>
  <table>
    <thead>
        <th>Id</th>
        <th>Name</th>
    </thead>
    <tbody>
        <tr *ngFor="let animal of animals">
          <td>
              <input type="radio" name='selectedAnimal' (click)='onSelection(animal.id)' value="{{animal.name}}">{{animal.id}}
          </td>          
          <td>
              {{animal.name}}
          </td>
        </tr>
    </tbody>
  </table>
  <h1>Details for {{selectedAnimal.name}}</h1>
  <table>
      <thead>
          <th>Id</th>
          <th>Name</th>
      </thead>
      <tbody *ngFor="let detail of details">
          <tr>
            <td>{{detail.id}}</td>
            <td>{{detail.name}}</td>
            <td>{{detail.breeed}}</td>
          </tr>
      </tbody>
    </table>
  
</div>
